<inishell_config application="STYLE_TEST">

	<section name="General">
		<parameter type="label" label="&lt;h3&gt;Default and non-optional styling&lt;/h3&gt;"/>
		<parameter type="helptext" wrap="true">
			<help>New styling applies to the label instead of the entry widget.</help>
		</parameter>
		
		<parameter key="TEXT" type="text" optional="false" default="def">
			<help>Delete default text to style as mandatory</help>
		</parameter>
		<parameter key="TEXT" label="" type="text" optional="false" default="def">
			<help>How it looks for explicitly empty labels</help>
		</parameter>

		<parameter key="CHECK" type="checkbox" caption="check me" optional="false" default="true">
			<help>Old styling for special cases without label</help>
		</parameter>
		<parameter key="CHK2" type="checkbox" label="CHK2" caption="check me too" optional="false" default="true">
			<help>... but not if the box does have a label</help>
		</parameter>

		<parameter key="CHECKLIST" type="checklist" optional="false" default="OP1">
			<option value="OP1"/>
			<option value="OP2"/>
		</parameter>
		<parameter key="CHOICE" type="choice" optional="false" default="OP1">
			<option value="OP1"/>
			<option value="OP2"/>
		</parameter>
		<parameter key="DATE" type="datetime" optional="false"/>
		<parameter key="COMBO" type="alternative" optional="false" default="OP1">
			<option value="OP1"/>
			<option value="OP2"/>
		</parameter>
		<parameter key="" type="alternative" optional="false" default="OP1">
			<option value="OP1"/>
			<option value="OP2"/>
			<help>Combobox that is only a container (without a key)</help>
		</parameter>
		<parameter key="FILE" type="file" optional="false" default="file.pro"/>

		<parameter key="NUM" type="number" format="integer" optional="false">
		</parameter>

		<parameter key="SELECT" type="selector">
			<option value="SEL1"/>
			<option value="SEL2"/>
			<parameter key="SEL_NUM::%" type="number" template="true"/>
		</parameter>

		<parameter key="STATION#" type="text" optional="false" replicate="true">
			<help>Non-optional replicator</help>
		</parameter>
		<parameter key="REPLICATE#" type="number" optional="false" replicate="true" default="777">
			<help>... with a default value</help>
		</parameter>

	</section>
	

</inishell_config>
